# Asterisk Project : Asterisk 13 Function_AES_ENCRYPT

Created by wikibot on Aug 08, 2014

# AES_ENCRYPT()

### Synopsis

Encrypt a string with AES given a 16 character key.

### Description

Returns an AES encrypted string encoded in base64.

### Syntax

    AES_ENCRYPT(key,string)

##### Arguments

- `key` - AES Key
- `string` - Input string

### See Also

- Asterisk 13 Function_AES_DECRYPT
- Asterisk 13 Function_BASE64_ENCODE
- Asterisk 13 Function_BASE64_DECODE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538